com.avaya.deskphoneservices

## Class DeskPhoneIntentConstants

- java.lang.Object
- - com.avaya.deskphoneservices.DeskPhoneIntentConstants

-     public final class DeskPhoneIntentConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION_CALL_STATE`
    `static java.lang.String` | `ACTION_CONFIG_CHANGED`
    `static java.lang.String` | `ACTION_FIPS_MODE_STATUS`
    `static java.lang.String` | `ACTION_LOGIN_SIGNAL`
    `static java.lang.String` | `ACTION_LOGOUT_SIGNAL`
    `static java.lang.String` | `ACTION_MICROPHONE_NEEDED`
    `static java.lang.String` | `ACTION_MICROPHONE_NOT_NEEDED`
    `static java.lang.String` | `ACTION_RELOAD_CONFIG`
    `static java.lang.String` | `ACTION_REMOTE_REBOOT`
    `static java.lang.String` | `ACTION_RESTART`
    `static java.lang.String` | `ACTION_SERVICE_STATE_CHANGE`
    `static java.lang.String` | `ACTION_SET_LED`
    `static java.lang.String` | `ACTION_SILENCE_RINGER`
    `static java.lang.String` | `ACTION_WATCHDOG_REGISTER`
    `static java.lang.String` | `ACTION_WATCHDOG_UNREGISTER`
    `static java.lang.String` | `KEY_ADMIN_CHANGE_TYPE`
    `static java.lang.String` | `KEY_CALL_ID_EXTRA`
    `static java.lang.String` | `KEY_CALL_STATE_EXTRA`
    `static java.lang.String` | `KEY_LED_ID`
    `static java.lang.String` | `KEY_LED_OFF_TIME_INTERVAL`
    `static java.lang.String` | `KEY_LED_ON_TIME_INTERVAL`
    `static java.lang.String` | `KEY_LIFE_BINDER`
    `static java.lang.String` | `KEY_LIFE_BUNDLE`
    `static java.lang.String` | `KEY_SERVICE_DATA_EXTRA`
    `static java.lang.String` | `KEY_SERVICE_REASON_EXTRA`
    `static java.lang.String` | `KEY_SERVICE_REASON_MISSING_CONFIG`
    `static java.lang.String` | `KEY_SERVICE_REASON_MISSING_CREDENTIALS`
    `static java.lang.String` | `KEY_SERVICE_RETRY_EXTRA`
    `static java.lang.String` | `KEY_SERVICE_STATUS_EXTRA`
    `static java.lang.String` | `KEY_SERVICE_TYPE_EXTRA`
    `static java.lang.String` | `KEY_WATCHDOG_PACKAGE_NAME`
    `static java.lang.String` | `KEY_WATCHDOG_RESTART_ACTION`
    `static android.os.Binder` | `LIFE_BINDER`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_CONFIG_CHANGED

          public static final java.lang.String ACTION_CONFIG_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_LOGIN_SIGNAL

          public static final java.lang.String ACTION_LOGIN_SIGNAL

      See Also:
        Constant Field Values

    - #### ACTION_LOGOUT_SIGNAL

          public static final java.lang.String ACTION_LOGOUT_SIGNAL

      See Also:
        Constant Field Values

    - #### ACTION_RESTART

          public static final java.lang.String ACTION_RESTART

      See Also:
        Constant Field Values

    - #### ACTION_SERVICE_STATE_CHANGE

          public static final java.lang.String ACTION_SERVICE_STATE_CHANGE

      See Also:
        Constant Field Values

    - #### ACTION_SET_LED

          public static final java.lang.String ACTION_SET_LED

      See Also:
        Constant Field Values

    - #### ACTION_REMOTE_REBOOT

          public static final java.lang.String ACTION_REMOTE_REBOOT

      See Also:
        Constant Field Values

    - #### ACTION_RELOAD_CONFIG

          public static final java.lang.String ACTION_RELOAD_CONFIG

      See Also:
        Constant Field Values

    - #### ACTION_WATCHDOG_REGISTER

          public static final java.lang.String ACTION_WATCHDOG_REGISTER

      See Also:
        Constant Field Values

    - #### ACTION_WATCHDOG_UNREGISTER

          public static final java.lang.String ACTION_WATCHDOG_UNREGISTER

      See Also:
        Constant Field Values

    - #### ACTION_FIPS_MODE_STATUS

          public static final java.lang.String ACTION_FIPS_MODE_STATUS

      See Also:
        Constant Field Values

    - #### KEY_SERVICE_TYPE_EXTRA

          public static final java.lang.String KEY_SERVICE_TYPE_EXTRA

      See Also:
        Constant Field Values

    - #### KEY_SERVICE_STATUS_EXTRA

          public static final java.lang.String KEY_SERVICE_STATUS_EXTRA

      See Also:
        Constant Field Values

    - #### KEY_SERVICE_REASON_EXTRA

          public static final java.lang.String KEY_SERVICE_REASON_EXTRA

      See Also:
        Constant Field Values

    - #### KEY_SERVICE_RETRY_EXTRA

          public static final java.lang.String KEY_SERVICE_RETRY_EXTRA

      See Also:
        Constant Field Values

    - #### KEY_SERVICE_DATA_EXTRA

          public static final java.lang.String KEY_SERVICE_DATA_EXTRA

      See Also:
        Constant Field Values

    - #### KEY_SERVICE_REASON_MISSING_CONFIG

          public static final java.lang.String KEY_SERVICE_REASON_MISSING_CONFIG

      See Also:
        Constant Field Values

    - #### KEY_SERVICE_REASON_MISSING_CREDENTIALS

          public static final java.lang.String KEY_SERVICE_REASON_MISSING_CREDENTIALS

      See Also:
        Constant Field Values

    - #### KEY_LED_ID

          public static final java.lang.String KEY_LED_ID

      See Also:
        Constant Field Values

    - #### KEY_LED_ON_TIME_INTERVAL

          public static final java.lang.String KEY_LED_ON_TIME_INTERVAL

      See Also:
        Constant Field Values

    - #### KEY_LED_OFF_TIME_INTERVAL

          public static final java.lang.String KEY_LED_OFF_TIME_INTERVAL

      See Also:
        Constant Field Values

    - #### KEY_LIFE_BUNDLE

          public static final java.lang.String KEY_LIFE_BUNDLE

      See Also:
        Constant Field Values

    - #### KEY_LIFE_BINDER

          public static final java.lang.String KEY_LIFE_BINDER

      See Also:
        Constant Field Values

    - #### LIFE_BINDER

          public static final android.os.Binder LIFE_BINDER

    - #### KEY_ADMIN_CHANGE_TYPE

          public static final java.lang.String KEY_ADMIN_CHANGE_TYPE

      See Also:
        Constant Field Values

    - #### KEY_WATCHDOG_RESTART_ACTION

          public static final java.lang.String KEY_WATCHDOG_RESTART_ACTION

      See Also:
        Constant Field Values

    - #### KEY_WATCHDOG_PACKAGE_NAME

          public static final java.lang.String KEY_WATCHDOG_PACKAGE_NAME

      See Also:
        Constant Field Values

    - #### ACTION_MICROPHONE_NEEDED

          public static final java.lang.String ACTION_MICROPHONE_NEEDED

      See Also:
        Constant Field Values

    - #### ACTION_MICROPHONE_NOT_NEEDED

          public static final java.lang.String ACTION_MICROPHONE_NOT_NEEDED

      See Also:
        Constant Field Values

    - #### ACTION_CALL_STATE

          public static final java.lang.String ACTION_CALL_STATE

      See Also:
        Constant Field Values

    - #### ACTION_SILENCE_RINGER

          public static final java.lang.String ACTION_SILENCE_RINGER

      See Also:
        Constant Field Values

    - #### KEY_CALL_ID_EXTRA

          public static final java.lang.String KEY_CALL_ID_EXTRA

      See Also:
        Constant Field Values

    - #### KEY_CALL_STATE_EXTRA

          public static final java.lang.String KEY_CALL_STATE_EXTRA

      See Also:
        Constant Field Values